Loading...
Searching...
No Matches
Halide::Internal::IRMatcher::SpecificExpr Struct Reference

`#include <IRMatch.h>`

## Classes

struct | pattern_tag

## Public Member Functions

template<uint32_t bound>
HALIDE_ALWAYS_INLINE bool | match (const BaseExprNode &e, MatcherState &state) const noexcept
HALIDE_ALWAYS_INLINE Expr | make (MatcherState &state, halide_type_t type_hint) const

## Public Attributes

const BaseExprNode & | expr

## Static Public Attributes

static constexpr uint32_t | binds = 0
static constexpr IRNodeType | min_node_type = IRNodeType::IntImm
static constexpr IRNodeType | max_node_type = StrongestExprNodeType
static constexpr bool | canonical = true
static constexpr bool | foldable = false

## Detailed Description

Definition at line 192 of file IRMatch.h.

## Member Function Documentation

## match()

template<uint32_t bound>

HALIDE_ALWAYS_INLINE bool Halide::Internal::IRMatcher::SpecificExpr::match | ( | const BaseExprNode & | e,
|  | MatcherState & | state ) const

inline noexcept

Definition at line 205 of file IRMatch.h.

References Halide::Internal::equal(), expr, and HALIDE_ALWAYS_INLINE.

## make()

HALIDE_ALWAYS_INLINE Expr Halide::Internal::IRMatcher::SpecificExpr::make | ( | MatcherState & | state,
|  | halide_type_t | type_hint ) const

inline

Definition at line 210 of file IRMatch.h.

References expr.

## Member Data Documentation

## binds

uint32_t Halide::Internal::IRMatcher::SpecificExpr::binds = 0

static constexpr

Definition at line 195 of file IRMatch.h.

## min_node_type

IRNodeType Halide::Internal::IRMatcher::SpecificExpr::min_node_type = IRNodeType::IntImm

static constexpr

Definition at line 198 of file IRMatch.h.

## max_node_type

IRNodeType Halide::Internal::IRMatcher::SpecificExpr::max_node_type = StrongestExprNodeType

static constexpr

Definition at line 199 of file IRMatch.h.

## canonical

bool Halide::Internal::IRMatcher::SpecificExpr::canonical = true

static constexpr

Definition at line 200 of file IRMatch.h.

## expr

const BaseExprNode& Halide::Internal::IRMatcher::SpecificExpr::expr

Definition at line 202 of file IRMatch.h.

Referenced by make(), match(), Halide::Internal::IRMatcher::operator<<(), and Halide::Internal::IRMatcher::unwrap().

## foldable

bool Halide::Internal::IRMatcher::SpecificExpr::foldable = false

static constexpr

Definition at line 214 of file IRMatch.h.

The documentation for this struct was generated from the following file:

- src/IRMatch.h